generator:
  class:              sfPropel13AdminGenerator
  param:
    model_class:      Customer
    theme:            emailpassion

    list:
      max_per_page:   300
      sort:           [ created_at, desc ]
      title:          Liste des clients
      filters:        [ connected_at, created_at ]
      display:        [ name, forname, email, valid_nb_commands, connected_at, created_at ]
      fields:
        email:             { name: Courriel }
        name:              { name: Nom }
        forname:           { name: Pr&eacute;nom }
        phone:             { name: T&eacute;l }
        phone_mobile:      { name: Mobile }
        list_newsletter:   { name: Newsletter }
        valid_nb_commands: { name: Commandes }
        connected_at:      { name: Connexion, params: date_format='dd/MM/yyyy'  }
        created_at:        { name: Cr&eacute;ation, params: date_format='dd/MM/yyyy' }
      object_actions:
        _edit:             ~
        _delete:           ~
      actions:
        _create:           disabled
        newsletter:        { action: extractNewsletter, name: "Extraction newsletter" }

    edit:
      title:                       Client %%forname%% %%name%%
      display:          
        "Informations du compte":        [ _edit_email, newsletter ]
        "Informations compl&eacute;mentaires":  [ forname, name, birthday, phone, phone_mobile ]
        "Identifiants des commandes passées":  [ _edit_id_order ]
      fields:         
        edit_email:                { name: Courriel }
        newsletter:                { name: Newsletter, type: checkbox_tag }
        forname:                   { name: Pr&eacute;nom }
        name:                      { name: Nom }
        birthday:                  { name: Anniversaire }
        phone:                     { name: T&eacute;l&eacute;phone }
        phone_mobile:              { name: Mobile }
        edit_id_order:             { name: Lien(s) cmde }
      actions:
        _list:                     ~
        _save:                     ~